Request
Add the parameter Authorization
to Headers Example:Authorization: ********************
or
Body Params application/jsonRequired
{
"title": "title",
"description": "description",
"goalType": "SHORT TERM",
"priority": "HIGH",
"category": "WORK",
"schedule": "WEEKLY",
"scheduleDays": [
"Monday",
"Wednesday"
],
"activity": [
"activity1",
"activity2"
],
"targetDate": "2025-08-01T10:30:00.000Z",
"subGoals": [
{
"title": "title",
"status": "status",
"date": "2025-08-01T00:00:00.000Z"
}
],
"reminder": {
"type": "WEEKLY",
"date": "2025-08-01T00:00:00.000Z",
"time": "11:00:00",
"day": "Monday"
},
"userId": "6620df0fd166a0f6e6d40332",
"currentDay": {
"day": "day",
"date": "2025-08-01T00:00:00.000Z"
}
}
Request Code Samples
curl --location --request POST '/focus-pilot/api/v1/goals/goals' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"title": "title",
"description": "description",
"goalType": "SHORT TERM",
"priority": "HIGH",
"category": "WORK",
"schedule": "WEEKLY",
"scheduleDays": [
"Monday",
"Wednesday"
],
"activity": [
"activity1",
"activity2"
],
"targetDate": "2025-08-01T10:30:00.000Z",
"subGoals": [
{
"title": "title",
"status": "status",
"date": "2025-08-01T00:00:00.000Z"
}
],
"reminder": {
"type": "WEEKLY",
"date": "2025-08-01T00:00:00.000Z",
"time": "11:00:00",
"day": "Monday"
},
"userId": "6620df0fd166a0f6e6d40332",
"currentDay": {
"day": "day",
"date": "2025-08-01T00:00:00.000Z"
}
}'
Responses
This response does not have a body.
Modified at 2026-01-22 08:48:06